import rospy
import time
from clever import srv
from std_srvs.srv import Trigger

rospy.init_node('foo')

get_telemetry = rospy.ServiceProxy('get_telemetry', srv.GetTelemetry)
navigate = rospy.ServiceProxy('navigate', srv.Navigate)
navigate_global = rospy.ServiceProxy('navigate_global', srv.NavigateGlobal)
set_position = rospy.ServiceProxy('set_position', srv.SetPosition)
set_velocity = rospy.ServiceProxy('set_velocity', srv.SetVelocity)
set_attitude = rospy.ServiceProxy('set_attitude', srv.SetAttitude)
set_rates = rospy.ServiceProxy('set_rates', srv.SetRates)
land = rospy.ServiceProxy('land', Trigger)

navigate(x = 0.0, y = 0.0, z = 0.2, speed = 0.4, frame_id = 'body', auto_arm = True)
time.sleep(3)

navigate(x = 0.96, y = 0.0, z = 1.0, speed = 0.5, frame_id = 'aruco_map')
time.sleep(8)

navigate(x = 0.96, y = 0.96, z = 1.0, speed = 0.5, frame_id = 'aruco_map')
time.sleep(8)

navigate(x = 0.0, y = 0.96, z = 1.0, speed = 0.5, frame_id = 'aruco_map')
time.sleep(8)

navigate(x = 0.0, y = 0.0, z = 1.0, speed = 0.5, frame_id = 'aruco_map')
time.sleep(8)

land()